Skip to main content
`Ctrl`+`K`

# MatSeqBAIJRestoreArray

returns access to the array where the data for a `MATSEQBAIJ` matrix is stored obtained by `MatSeqBAIJGetArray()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqBAIJRestoreArray(Mat A, PetscScalar *array[])

Not Collective

## Input Parameters

- A - a `MATSEQBAIJ` matrix

- array - pointer to the data

## See Also

Matrices, `Mat`, `MatSeqBAIJGetArray()`, `MatSeqAIJGetArray()`, `MatSeqAIJRestoreArray()`

## Level

intermediate

## Location

src/mat/impls/baij/seq/baij.c

## Implementations

MatSeqBAIJRestoreArray_SeqBAIJ() in src/mat/impls/baij/seq/baij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages